
Figure - Bug #118558
【IOVDEV-32787】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【中控联动】副屏点击音量条调
剂音量时，音量异常跳转
2023-06-05 20:58 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.c104  中控：03.02.0088.C103��

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230605  20点40分（ 第254次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏滑动音量至0处静音

2.中控设置-声音，点击开启静音

2.副屏设置-声音，点击音量条中的大于一半的位置

【实际结果】

副屏音量异常跳转至大约四分之一的位置

【期望结果】

副屏音量调节至点击位置。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，附件为副屏的log

视频地址：

【影响版本】：副屏：01.00.0106.c104  中控：03.02.0088.C103

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-06 10:14 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨
当前分析：

根据日志分析，在复现时，中控异常发送音量请求导致音量变化为9，该问题需要中控分析。

该问题和118557同件。

25134:06-05 20:40:36.967  1560 14455 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_on"}} ★★★ 中控请求mute on

25135:06-05 20:40:36.967  1560 14455 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_on

isRequested=false

25136:06-05 20:40:36.968  1560 21295 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_on ★★★ 副屏执行mute on

25234:06-05 20:40:39.388  1560 14455 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=25, calling=com.android.settings)

25235:06-05 20:40:39.388  1560 14455 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

25236:06-05 20:40:39.388  1560 14455 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"25"}}  ★★★ 副屏请求音量 25

25241:06-05 20:40:39.431  1560  8355 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_off"}} ★★★ 中控请求 mute off

25242:06-05 20:40:39.431  1560  8355 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_off

isRequested=false

25243:06-05 20:40:39.431  1560 21340 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_off ★★★ 副屏执行 mute off

25247:06-05 20:40:39.445  1560  8355 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"25"}} ★★★ 中控回复 音量 25

25248:06-05 20:40:39.445  1560  8355 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 25 isRequested=true

25250:06-05 20:40:39.446  1560 14455 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 25

25251:06-05 20:40:39.446  1560 14455 D AS.AudioService: idcm_volume:setIDCMicroVolume: 25 ★★★ 副屏设置音量为 25

25256:06-05 20:40:39.463  1560 11249 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"9"}} ★★★ 中控异常 请求 音量 9

25257:06-05 20:40:39.463  1560 11249 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 9 isRequested=false

25258:06-05 20:40:39.463  1560 11249 D AS.AudioService: idcm_volume:onSetIDCMicroVolume: 9 ★★★ 副屏设置音量为 9

#2 - 2023-06-06 11:07 - CDTS_Test 吴诗雨

已同步

#3 - 2023-06-12 10:49 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to DUPLICATE

在JIRA上跟踪， 内部关闭此票。

#4 - 2023-06-12 14:12 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306100050版本验证通过

#5 - 2023-07-03 18:10 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
Files

IOVDEV-32787.zip 8.91 MB 2023-06-05 CDTS_Test 吴诗雨
